﻿using System.Web.Mvc;
using NavegacaoPaginacao.Models;

namespace NavegacaoPaginacao.Controllers
{
    public class HomeController : Controller
    {
        private int qtdeRegistros = 3;
        public ActionResult Index(int id = 1)
        {
            if (id < 1)
                id = 1;

            ViewData["Produtos"] = new ProdutoRepositorio().GetProdutos(id, qtdeRegistros);
            ViewData["id"] = id;
            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
