﻿using System.Collections.Generic;
using System.Linq;
using FizzWare.NBuilder;

namespace NavegacaoPaginacao.Models
{
    public class ProdutoRepositorio
    {
        public List<Produto> GetProdutos(int Pagina, int QtdeRegistros)
        {
            if (Pagina < 1)
                Pagina = 1;

            List<Produto> resultado =
                Builder<Produto>
                    .CreateListOfSize(Pagina * QtdeRegistros)
                    .All()
                    .Have(x => x.Descricao = @"Bla bla bla bla Bla bla bl Bla bla bla bla string.")
                    .Build()
                //salta a quantidade apropriada de registros
                    .Skip((Pagina - 1) * QtdeRegistros)
                    .ToList();

            return resultado;
        }
    }
}