﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="NavegacaoPaginacao.Models" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <p>
        Para aprender mais sobre ASP .NET Visite <a href="http://macoratti.net" title="Macoratti.net">http://macoratti.net</a>.
    </p>
    <fieldset>
    <legend>Produtos</legend>
    <%
        int id = (int) ViewData["id"];
        int PreviousId = (id - 1) < 1 ? 1 : id - 1;
        int NextId = id + 1;
    %>

    <%= Html.ActionLink("Anterior","Index",new {@id=PreviousId}) %> -
     
    <%= Html.ActionLink("Próxima","Index",new {@id=NextId}) %>

        <% using (Html.BeginForm()) { %>
            <% List<Produto> produtos = ViewData["Produtos"] as List<Produto>;%>
            <% foreach (Produto p in produtos)
               { %>
                <div class="display-field">Código : <%= Html.Encode(p.ProdutoId) %></div>
                <div class="display-field">Nome  : <%= Html.Encode(p.Nome) %></div>
                <div class="display-field">Preço : <%= Html.Encode(String.Format("{0:c}", p.Preco)) %></div>
                <div class="display-field">Descrição: <%= Html.Encode(p.Descricao) %></div>
                <div class="display-field">Fabricado em : <%= Html.Encode(String.Format("{0:g}", p.DataCriacao)) %></div>
            <hr />
            <% } %>
            <input type="submit" value="Submeter" />
        <% } %> 
    </fieldset>
</asp:Content>
